ParseException (JSAP: the Java Simple Argument Parser)
Keywords: com.martiansoftware.jsap.ParseException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.jsap
Class ParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.martiansoftware.jsap.JSAPException
                  com.martiansoftware.jsap.ParseException

All Implemented Interfaces:
  Serializable

    public class ParseException

extends JSAPException

A JSAPException subclass notifying the application of a parse error. Additional information in the form of an exception may be encapsulated in this object, as in other JSAPExceptions.

Author:
  Marty Lamb
See Also:
  `JSAPException`, Serialized Form

Constructor Summary
`ParseException()` Creates a new ParseException.
`ParseException(String msg)` Creates a new ParseException with the specified message.
`ParseException(String msg, Throwable cause)` Creates a new ParseException with the specified message encapsulating the specified Throwable.
`ParseException(Throwable cause)` Creates a new ParseException encapsulating the specified Throwable.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParseException

    public ParseException()

  Creates a new ParseException.

### ParseException

    public ParseException(String msg)

  Creates a new ParseException with the specified message.

  Parameters:
    `msg` - the message for this ParseException.

### ParseException

    public ParseException(Throwable cause)

  Creates a new ParseException encapsulating the specified Throwable.

  Parameters:
    `cause` - the Throwable to encapsulate.

### ParseException

    public ParseException(String msg,
                          Throwable cause)

  Creates a new ParseException with the specified message encapsulating the specified Throwable.

  Parameters:
    `msg` - the message for this ParseException.
    `cause` - the Throwable to encapsulate.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005, Martian Software, Inc.. All Rights Reserved.
For the latest version and documentation, please visit http://www.martiansoftware.com/jsap